pandoc-1.12.2.1: Conversion between markup formats

Portability | portable
Stability | alpha
Maintainer | John MacFarlane <jgm@berkeley.edu>
Safe Haskell | None

Text.Pandoc.Readers.HTML

Description

Conversion of HTML to `Pandoc` document.

Synopsis

- readHtml :: ReaderOptions -> String -> Pandoc
- htmlTag :: (Tag String -> Bool) -> Parser [Char] st (Tag String, String)
- htmlInBalanced :: (Tag String -> Bool) -> Parser [Char] ParserState String
- isInlineTag :: Tag String -> Bool
- isBlockTag :: Tag String -> Bool
- isTextTag :: Tag String -> Bool
- isCommentTag :: Tag String -> Bool

# Documentation

readHtml Source

Arguments

:: ReaderOptions | Reader options
-> String | String to parse (assumes `'\n'` line endings)
-> Pandoc |

Convert HTML-formatted string to `Pandoc` document.

htmlTag :: (Tag String -> Bool) -> Parser [Char] st (Tag String, String)Source

Matches a tag meeting a certain condition.

htmlInBalanced :: (Tag String -> Bool) -> Parser [Char] ParserState String Source

Matches a stretch of HTML in balanced tags.

isInlineTag :: Tag String -> Bool Source

isBlockTag :: Tag String -> Bool Source

isTextTag :: Tag String -> Bool Source

isCommentTag :: Tag String -> Bool Source